artdaq - Bug #24320

Run Number metric times out and reports 0
04/15/2020 01:48 PM - Eric Flumerfelt

Status: Closed Start date: 04/15/2020
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: artdaq v3_09_00

Experiment: - Co-Assignees:

Description

There are some metrics which are sent very infrequently, and which should persist for the length of a run. We may want to add a new
mode flag to indicate persistent metrics.

History

#1 - 04/15/2020 01:49 PM - Eric Flumerfelt

This can currently be worked around by setting "send_zeros" to false in the metric configuration, but this also inhibits the reset of all metric values to 0
at the end of the run.

#2 - 04/16/2020 10:22 AM - Eric Flumerfelt

- Status changed from New to Resolved

Added MetricMode::Persist flag in artdag-utilities:bugfix/24320_PersistentMetrics, used in artdaq:bugfix/24320_RunNumberMetric_Persist.

#3 - 04/28/2020 08:41 AM - Ron Rechenmacher

| see before the changes:
artdaq_utilities:bugfix/24320_PersistentMetrics
artdaqg:bugfix/24320_RunNumberMetric_Persist

/home/ron/work/artdagPrj/demol-develop/daglogs/metrics/eventbuilder

ron@mu2edaqgl3 :”) grep -n 'Run Number' *

evb_30180_metrics.log:9:Mon Apr 27 16:10:21 2020: FileMetric: EventBuilderl.Run Number: 1 Run.
evb_30180_metrics.log:46:Mon Apr 27 16:10:36 2020: FileMetric: EventBuilderl.Run Number: O Run.
evb_30180_metrics.log:83:Mon Apr 27 16:10:51 2020: FileMetric: EventBuilderl.Run Number: 0 Run.

evb_30180_metrics.log:120:Mon Apr 27 16:11:06 2020: FileMetric: EventBuilderl.Run Number: 0 Run.
evb_30180_metrics.log:157:Mon Apr 27 16:11:21 2020: FileMetric: EventBuilderl.Run Number: 0 Run.
evb_30180_metrics.log:194:Mon Apr 27 16:11:36 2020: FileMetric: EventBuilderl.Run Number: 0 Run.
evb_30180_metrics.log:231:Mon Apr 27 16:11:52 2020: FileMetric: EventBuilderl.Run Number: 0 Run.
evb_30180_metrics.log:268:Mon Apr 27 16:12:07 2020: FileMetric: EventBuilderl.Run Number: 0 Run.
evb_30180_metrics.log:305:Mon Apr 27 16:12:22 2020: FileMetric: EventBuilderl.Run Number: 0 Run.
evb_30180_metrics.log:342:Mon Apr 27 16:12:37 2020: FileMetric: EventBuilderl.Run Number: 0 Run.
evb_30180_metrics.log:379:Mon Apr 27 16:12:52 2020: FileMetric: EventBuilderl.Run Number: 0 Run.
evb_30180_metrics.log:416:Mon Apr 27 16:13:07 2020: FileMetric: EventBuilderl.Run Number: 0 Run.
evb_30180_metrics.log:453:Mon Apr 27 16:13:22 2020: FileMetric: EventBuilderl.Run Number: 0 Run.
evb_30180_metrics.log:490:Mon Apr 27 16:13:37 2020: FileMetric: EventBuilderl.Run Number: 0 Run.
evb_30180_metrics.log:537:Mon Apr 27 16:13:53 2020: FileMetric: EventBuilderl.Run Number: 0 Run.

evb_30181_metrics.log:9:Mon Apr 27 16:10:21 2020: FileMetric: EventBuilder2.Run Number: 1 Run.
evb_30181_metrics.log:46:Mon Apr 27 16:10:36 2020: FileMetric: EventBuilder2.Run Number: 0 Run.
evb_30181_metrics.log:83:Mon Apr 27 16:10:51 2020: FileMetric: EventBuilder2.Run Number: 0 Run.

evb_30181_metrics.log:120:Mon Apr 27 16:11:06 2020: FileMetric: EventBuilder2.Run Number: 0 Run.
evb_30181_metrics.log:157:Mon Apr 27 16:11:21 2020: FileMetric: EventBuilder2.Run Number: 0 Run.
evb_30181_metrics.log:194:Mon Apr 27 16:11:36 2020: FileMetric: EventBuilder2.Run Number: 0 Run.
evb_30181_metrics.log:231:Mon Apr 27 16:11:52 2020: FileMetric: EventBuilder2.Run Number: 0 Run.
evb_30181_metrics.log:268:Mon Apr 27 16:12:07 2020: FileMetric: EventBuilder2.Run Number: 0 Run.
evb_30181_metrics.log:305:Mon Apr 27 16:12:22 2020: FileMetric: EventBuilder2.Run Number: 0 Run.
evb_30181_metrics.log:342:Mon Apr 27 16:12:37 2020: FileMetric: EventBuilder2.Run Number: 0 Run.
evb_30181_metrics.log:379:Mon Apr 27 16:12:52 2020: FileMetric: EventBuilder2.Run Number: 0 Run.
evb_30181_metrics.log:416:Mon Apr 27 16:13:07 2020: FileMetric: EventBuilder2.Run Number: 0 Run.
evb_30181_metrics.log:453:Mon Apr 27 16:13:22 2020: FileMetric: EventBuilder2.Run Number: 0 Run.
evb_30181_metrics.log:490:Mon Apr 27 16:13:37 2020: FileMetric: EventBuilder2.Run Number: 0 Run.
evb_30181_metrics.log:546:Mon Apr 27 16:13:53 2020: FileMetric: EventBuilder2.Run Number: 0 Run.

evb_59234_metrics.log:9:Mon Apr 27 16:22:42 2020: FileMetric: EventBuilderl.Run Number: 2 Run.
evb_59234_metrics.log:46:Mon Apr 27 16:22:57 2020: FileMetric: EventBuilderl.Run Number: O Run.
/home/ron/work/artdagPrj/demol-develop/daglogs/metrics/eventbuilder
'Run Number'
:9:Mon Apr 27 16:40:36 2020:
Additionally, after implementing a pause in the ToyHardwarelnterface and a 33 second pause every 35 seconds,

| get:

/home/ron/work/artdagPrj/demol-develop/srcs/artdag_demo
egrep 'pausing|resuming'

ron@mu2edagl3 :7)
/home/ron/work/artdagPrj/demol-develop/daglogs/metrics/eventbuilder
This all seems good.

log:Tue Apr 28 06:02:51 2020: FileMetric:

log:Tue Apr 28 06:03:06 2020: FileMetric:
#4 - 04/28/2020 09:34 AM - Ron Rechenmacher

- Status changed from Resolved to Reviewed

merged branches into develop; change status to reviewed

#5 - 07/24/2020 02:14 PM - Eric Flumerfelt

- Target version set to artdaq v3_09_00

- Status changed from Reviewed to Closed

- Project changed from artdaq Utilities to artdaq
